Assignee:
Description

| would suggest that we reduce the amount of offically supported repositiories. If you take a look at https://repo.parabolagnulinux.org/
you will notice that there are many repositories which aren't suppored by arch. For instance gnome-unstable or archhurd or user
repos such as ~lukeshu. | would suggest that we remove those repositories since they don't seems important and some of them are
pretty much outdated many of those packages (especially the ones in the user repos) should be moved to the aur instead. It is just
horrible that outdated packages are offically included in those repos.

History

#1 - 2014-01-03 12:22 PM - mtjm

gnome-unstable is from Arch, maybe we shouldn't mirror all Arch repos?

We move some Parabola-specific and user repos to pcr. Using AUR directly isn't better: we have binary packages available in repos and we do some
verification of their freedom issues.

#2 - 2014-01-21 05:22 PM - lukeshu

- Subject changed from Repositories to There are too many repositories

Regarding repositories imported from Arch:

Arch has 3 repository classifications: Stable, Testing, and Staging. Stable and Testing should be self explanatory. The Staging repositories are
undocumented (hence you not recognizing that [gnome-unstable] was from Arch), but exist for packagers for when a library dependency requires
re-building many packages; they publish these to staging so that multiple packagers can help, then move them to Stable all at once.

Stable: [core], [extra], [community], [multilib]
Testing: [testing], [community-testing], [multilib-testing]
Staging: [staging], [community-staging], [multilib-staging], [gnome-unstable], [kde-unstable]

In the past, several more were mirrored, so the empty directories stuck around (causing confusion), but we only sync the Stable repositories, and
[testing]. I've cleaned them up now, the directories should no longer be there.

User repos

The user repos are semi-deprecated, as most new "user" packages are going in [pcr], which is community supported. They won't be going away
though. Most of the packages in [~lukeshu] are on my TODO list to move to [pcr], but [~lukeshu] will continue to be used for testing/unstable software
written/patched by me that is not part of the Parabola project.

I'm not so sure what to do with some of the older user repos of developers who are no longer around (such as [~xihh]). | do think they should be
cleaned up at some point.

Also, user repos are NOT officially supported. They are supported by the user who owns it. [~lukeshu] is supported by just me, not the rest of
Parabola.

AUR

We will not be moving the user repos to AUR. | know fauno posts most of his PKGBUILDs to AUR, but most of us don't. We will never encourage
users to use AUR directly. Though they aren't officially supported, the user repos ARE published by the Parabola project, and thus must meet the
ESDG , this is a clear benefit to them over the AUR. And again, most new packages should be going into [pcr] anyway.

#3 - 2015-06-16 04:27 AM - lukeshu

- Status changed from open to not-a-bug
